Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.common.report
Class AbstractReport

    java.lang.Object
      org.eclipse.emfforms.spi.common.report.AbstractReport

Direct Known Subclasses:
  AmbiguousRendererPriorityReport, CustomControlInitFailedReport, DatabindingFailedReport, DomainModelReferenceResolutionFailedReport, ECPRendererDescriptionInitFailedReport, EMFFormsSpreadsheetReport, InvalidGridDescriptionReport, LeafConditionDMRResolutionFailedReport, NoRendererFoundReport, NoRendererServiceReport, NoViewProviderFoundReport, RendererInitFailedReport, RenderingFailedReport, StatusReport, ViewModelIsNullReport, ViewModelServiceNotAvailableReport, ViewProviderInitFailedReport

    public class AbstractReport

extends Object

Common base type for reports that may be reported.

Since:
  1.5
Author:
  emueller

Constructor Summary
`AbstractReport()` Default constructor.
`AbstractReport(String message)` Constructor.
`AbstractReport(String message, int severity)` Constructor.
`AbstractReport(Throwable exception)` Constructor.
`AbstractReport(Throwable exception, int severity)` Constructor.
`AbstractReport(Throwable exception, String message)` Constructor.

Method Summary
`Throwable` | `getException()` Returns the exception this report is based on, if any.
`String` | `getMessage()` Returns the report message.
`int` | `getSeverity()` Returns the status of this report.
`boolean` | `hasException()` Whether this report is based upon an exception.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractReport

    public AbstractReport()

  Default constructor.

  Sets the severity to `IStatus.ERROR`.

### AbstractReport

    public AbstractReport(Throwable exception)

  Constructor.

  Sets the severity to `IStatus.ERROR`.

  Parameters:
    `exception` - the exception this report is based on

### AbstractReport

    public AbstractReport(String message)

  Constructor.

  Sets the severity to `IStatus.ERROR`.

  Parameters:
    `message` - the report message

### AbstractReport

    public AbstractReport(String message,
                          int severity)

  Constructor.

  Sets the severity to `IStatus.ERROR`.

  Parameters:
    `message` - the report message
    `severity` - the severity of the report

### AbstractReport

    public AbstractReport(Throwable exception,
                          String message)

  Constructor.

  Sets the severity to `IStatus.ERROR`.

  Parameters:
    `exception` - the exception this report is based on
    `message` - the report message

### AbstractReport

    public AbstractReport(Throwable exception,
                          int severity)

  Constructor.

  Parameters:
    `exception` - the exception this report is based on
    `severity` - the severity of the report

Method Detail

### getMessage

    public String getMessage()

  Returns the report message.

  Returns:
    the report message

### hasException

    public boolean hasException()

  Whether this report is based upon an exception.

  Returns:
    `true`, if this report is based upon an exception, `false` otherwise

### getException

    public Throwable getException()

  Returns the exception this report is based on, if any.

  Returns:
    the exception this report is based on, if any, otherwise `null`
  See Also:
    `hasException()`

### getSeverity

    public int getSeverity()

  Returns the status of this report.

  Returns:
    the status of this report

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.